NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.OffsetCollection Class Reference

Represents a collection of NXOpen.Offset . More...

Inheritance diagram for NXOpen.OffsetCollection:

Public Member Functions

NXOpen.Offset[] ToArray ()
 Returns an array of NXOpen.Offset objects. More...
 
unsafe NXOpen.Offset CreateOffset (NXOpen.Point3d origin, NXOpen.Vector3d vector, NXOpen.SmartObject.UpdateOption updateOption)
 Create an NXOpen.Offset without parameters. More...
 
unsafe NXOpen.Offset CreateOffsetRectangular (NXOpen.Scalar deltaX, NXOpen.Scalar deltaY, NXOpen.Scalar deltaZ, NXOpen.SmartObject.UpdateOption updateOption)
 Create an NXOpen.Offset using X, Y and Z deltas. More...
 
unsafe NXOpen.Offset CreateOffsetCylindrical (NXOpen.Scalar radius, NXOpen.Scalar angle, NXOpen.Scalar deltaZ, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a smart cylindrical NXOpen.Offset . More...
 
unsafe NXOpen.Offset CreateOffsetSpherical (NXOpen.Scalar radius, NXOpen.Scalar angle1, NXOpen.Scalar angle2, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a smart spherical NXOpen.Offset . More...
 
unsafe NXOpen.Offset CreateOffset (NXOpen.Direction direction, NXOpen.Scalar distance, NXOpen.SmartObject.UpdateOption updateOption)
 Creates an NXOpen.Offset using a Smart NXOpen.Direction and distance. More...
 
unsafe NXOpen.Offset CreateCurvature (NXOpen.ICurve icurve, NXOpen.Scalar t, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Offset on a NXOpen.ICurve using a NXOpen.Scalar representing the t parameter. More...
 
unsafe NXOpen.Offset CreateCurvature (NXOpen.Point atPoint, NXOpen.ICurve icurve, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Offset on a NXOpen.ICurve using a NXOpen.Point . More...
 
unsafe NXOpen.Offset CreateCurvatureDerivative (NXOpen.ICurve icurve, NXOpen.Scalar t, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Offset on a NXOpen.ICurve using a NXOpen.Scalar representing the t parameter. More...
 
unsafe NXOpen.Offset CreateCurvatureDerivative (NXOpen.Point atPoint, NXOpen.ICurve icurve, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Offset on a NXOpen.ICurve using a NXOpen.Point . More...
 
unsafe NXOpen.Offset CreateCurvature (NXOpen.Face face, NXOpen.Scalar u, NXOpen.Scalar v, bool absoluteUv, NXOpen.Offset.OnFaceOption option, NXOpen.Direction sectionDirection, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Offset on a NXOpen.Face using two NXOpen.Scalar s representing the u and v parameters with option of direction on the face. More...
 
unsafe NXOpen.Offset CreateCurvatureDerivative (NXOpen.Face face, NXOpen.Scalar u, NXOpen.Scalar v, bool absoluteUv, NXOpen.Offset.OnFaceOption option, NXOpen.Direction sectionDirection, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Offset on a NXOpen.Face using two NXOpen.Scalar s representing the u and v parameters with option of direction on the face. More...
 
unsafe NXOpen.Offset CreateCurvature (NXOpen.Point atPoint, NXOpen.Face face, NXOpen.Offset.OnFaceOption option, NXOpen.SmartObject sectionDirection, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Offset on a NXOpen.Face using a NXOpen.Point . More...
 
unsafe NXOpen.Offset CreateCurvatureDerivative (NXOpen.Point atPoint, NXOpen.Face face, NXOpen.Offset.OnFaceOption option, NXOpen.SmartObject sectionDirection, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Offset on a NXOpen.Face using a NXOpen.Point . More...
 
unsafe NXOpen.Offset CreateCurvature (NXOpen.Face face, NXOpen.Scalar u, NXOpen.Scalar v, bool absoluteUv, NXOpen.Scalar sectionAngle, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a sectional NXOpen.Offset on a NXOpen.Face using two NXOpen.Scalar s representing the u and v parameters and a NXOpen.Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face. More...
 
unsafe NXOpen.Offset CreateCurvatureDerivative (NXOpen.Face face, NXOpen.Scalar u, NXOpen.Scalar v, bool absoluteUv, NXOpen.Scalar sectionAngle, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a sectional NXOpen.Offset on a NXOpen.Face using two NXOpen.Scalar s representing the u and v parameters and a NXOpen.Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face. More...
 
unsafe NXOpen.Offset CreateOffset (NXOpen.Offset offsetIn, NXOpen.Xform xform, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Offset via an extract NXOpen.Offset with optional transformation. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen.Offset .

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen.Offset is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed.

To obtain an instance of this class, refer to NXOpen.BasePart

Created in NX3.0.0

Member Function Documentation

unsafe NXOpen.Offset NXOpen.OffsetCollection.CreateCurvature ( NXOpen.ICurve  icurve,
NXOpen.Scalar  t,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Offset on a NXOpen.ICurve using a NXOpen.Scalar representing the t parameter.

The Offset created represents curvature of the curve at parameter t.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
icurveNXOpen.Curve or NXOpen.Edge
t
updateOption
Returns
unsafe NXOpen.Offset NXOpen.OffsetCollection.CreateCurvature ( NXOpen.Point  atPoint,
NXOpen.ICurve  icurve,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Offset on a NXOpen.ICurve using a NXOpen.Point .

The Offset created represents curvature of the curve at a point. The input point could be an extract point whose parent point is a point on curve. User can optionally supply a curve in which case it is honored instead of looking for the parent curve of the input point. In that case input point is projected on the curve to find the curvature at the projected location.

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
atPointAn extract point or a non associative point in which case a curve should be specified.
icurveOptional NXOpen.Curve or NXOpen.Edge input
updateOption
Returns
unsafe NXOpen.Offset NXOpen.OffsetCollection.CreateCurvature ( NXOpen.Face  face,
NXOpen.Scalar  u,
NXOpen.Scalar  v,
bool  absoluteUv,
NXOpen.Offset.OnFaceOption  option,
NXOpen.Direction  sectionDirection,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Offset on a NXOpen.Face using two NXOpen.Scalar s representing the u and v parameters with option of direction on the face.

The Offset created represents the curvature of the face at u and v parameter in a direction specified by the option.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
face
u
v
absoluteUvtrue if u and v are absolute parameters
option
sectionDirectionnecessary when option is NXOpen.Offset.OnFaceOption.Section
updateOption
Returns
unsafe NXOpen.Offset NXOpen.OffsetCollection.CreateCurvature ( NXOpen.Point  atPoint,
NXOpen.Face  face,
NXOpen.Offset.OnFaceOption  option,
NXOpen.SmartObject  sectionDirection,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Offset on a NXOpen.Face using a NXOpen.Point .

The Offset created represents the curvature of the face at a point in a direction specified by the option. The input point could be a point on curve whose parent curve is an edge or a curve on surface feature. Or it could be an extract point whose parent point is a point on face. User can optionally supply a face in which case it is honored instead of looking for the parent face of the input point. In that case input point is projected on the face to find the curvature at the projected location.

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
atPointA point on curve or an extract point. In case of a non associative point a face must be specified.
faceOptional input
option
sectionDirectionAn object of type NXOpen.Direction or NXOpen.Scalar and is necessary when option is NXOpen.Offset.OnFaceOption.Section
updateOption
Returns
unsafe NXOpen.Offset NXOpen.OffsetCollection.CreateCurvature ( NXOpen.Face  face,
NXOpen.Scalar  u,
NXOpen.Scalar  v,
bool  absoluteUv,
NXOpen.Scalar  sectionAngle,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a sectional NXOpen.Offset on a NXOpen.Face using two NXOpen.Scalar s representing the u and v parameters and a NXOpen.Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face.

The Offset created represents the curvature of the face at u and v parameter in the sectional direction.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
face
u
v
absoluteUvtrue if u and v are absolute parameters
sectionAnglemeasured in degree
updateOption
Returns
unsafe NXOpen.Offset NXOpen.OffsetCollection.CreateCurvatureDerivative ( NXOpen.ICurve  icurve,
NXOpen.Scalar  t,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Offset on a NXOpen.ICurve using a NXOpen.Scalar representing the t parameter.

The Offset created represents curvature derivative of the curve at parameter t.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
icurveNXOpen.Curve or NXOpen.Edge
t
updateOption
Returns
unsafe NXOpen.Offset NXOpen.OffsetCollection.CreateCurvatureDerivative ( NXOpen.Point  atPoint,
NXOpen.ICurve  icurve,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Offset on a NXOpen.ICurve using a NXOpen.Point .

The Offset created represents curvature derivative of the curve at a point. The input point could be an extract point whose parent point is a point on curve. User can optionally supply a curve in which case it is honored instead of looking for the parent curve of the input point. In that case input point is projected on the curve to find the curvature derivative at the projected location.

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
atPointAn extract point or a non associative point in which case a curve should be specified.
icurveOptional NXOpen.Curve or NXOpen.Edge input
updateOption
Returns
unsafe NXOpen.Offset NXOpen.OffsetCollection.CreateCurvatureDerivative ( NXOpen.Face  face,
NXOpen.Scalar  u,
NXOpen.Scalar  v,
bool  absoluteUv,
NXOpen.Offset.OnFaceOption  option,
NXOpen.Direction  sectionDirection,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Offset on a NXOpen.Face using two NXOpen.Scalar s representing the u and v parameters with option of direction on the face.

The Offset created represents the curvature derivative of the face at u and v parameter in a direction specified by the option.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
face
u
v
absoluteUvtrue if u and v are absolute parameters
option
sectionDirectionnecessary when option is NXOpen.Offset.OnFaceOption.Section
updateOption
Returns
unsafe NXOpen.Offset NXOpen.OffsetCollection.CreateCurvatureDerivative ( NXOpen.Point  atPoint,
NXOpen.Face  face,
NXOpen.Offset.OnFaceOption  option,
NXOpen.SmartObject  sectionDirection,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Offset on a NXOpen.Face using a NXOpen.Point .

The Offset created represents the curvature derivative of the face at a point in a direction specified by the option. The input point could be a point on curve whose parent curve is an edge or a curve on surface feature. Or it could be an extract point whose parent point is a point on face. User can optionally supply a face in which case it is honored instead of looking for the parent face of the input point. In that case input point is projected on the face to find the curvature derivative at the projected location.

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
atPointA point on curve or an extract point. In case of a non associative point a face must be specified.
faceOptional input
option
sectionDirectionAn object of type NXOpen.Direction or NXOpen.Scalar and is necessary when option is NXOpen.Offset.OnFaceOption.Section
updateOption
Returns
unsafe NXOpen.Offset NXOpen.OffsetCollection.CreateCurvatureDerivative ( NXOpen.Face  face,
NXOpen.Scalar  u,
NXOpen.Scalar  v,
bool  absoluteUv,
NXOpen.Scalar  sectionAngle,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a sectional NXOpen.Offset on a NXOpen.Face using two NXOpen.Scalar s representing the u and v parameters and a NXOpen.Scalar representing section angle measured with respect to positive U parameter direction at u and v parameters of the face.

The Offset created represents the curvature derivative of the face at u and v parameter in the sectional direction.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
face
u
v
absoluteUvtrue if u and v are absolute parameters
sectionAnglemeasured in degree
updateOption
Returns
unsafe NXOpen.Offset NXOpen.OffsetCollection.CreateOffset ( NXOpen.Point3d  origin,
NXOpen.Vector3d  vector,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Create an NXOpen.Offset without parameters.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
originPoint of Offset
vectorOffset vector
updateOption
Returns
unsafe NXOpen.Offset NXOpen.OffsetCollection.CreateOffset ( NXOpen.Direction  direction,
NXOpen.Scalar  distance,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates an NXOpen.Offset using a Smart NXOpen.Direction and distance.

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
direction
distanceDistance along direction
updateOption
Returns
unsafe NXOpen.Offset NXOpen.OffsetCollection.CreateOffset ( NXOpen.Offset  offsetIn,
NXOpen.Xform  xform,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Offset via an extract NXOpen.Offset with optional transformation.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
offsetInOffset extract
xformOptional transformation
updateOption
Returns
unsafe NXOpen.Offset NXOpen.OffsetCollection.CreateOffsetCylindrical ( NXOpen.Scalar  radius,
NXOpen.Scalar  angle,
NXOpen.Scalar  deltaZ,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a smart cylindrical NXOpen.Offset .

The radius, angle, and zdelta are the three parameters of cylindrical coordinates.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
radius
angleAngle in radians
deltaZDelta along axis of cylinder
updateOption
Returns
unsafe NXOpen.Offset NXOpen.OffsetCollection.CreateOffsetRectangular ( NXOpen.Scalar  deltaX,
NXOpen.Scalar  deltaY,
NXOpen.Scalar  deltaZ,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Create an NXOpen.Offset using X, Y and Z deltas.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
deltaX
deltaY
deltaZ
updateOption
Returns
unsafe NXOpen.Offset NXOpen.OffsetCollection.CreateOffsetSpherical ( NXOpen.Scalar  radius,
NXOpen.Scalar  angle1,
NXOpen.Scalar  angle2,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a smart spherical NXOpen.Offset .

The radius, angle1, and angle2 are the three parameters of spherical coordinates.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
radius
angle1Longitude angle in radians
angle2Colatitude angle in radians
updateOption
Returns
override int NXOpen.OffsetCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

NXOpen.Offset [] NXOpen.OffsetCollection.ToArray ( )

Returns an array of NXOpen.Offset objects.

Property Documentation

Tag NXOpen.OffsetCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.